# PetscObjectPublish

Publish an object

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscObjectPublish(PetscObject obj)

Collective on PetscObject

### Input Parameters

obj -the Petsc variable Thus must be cast with a (PetscObject), for example, PetscObjectSetName((PetscObject)mat,name);

Notes: Not currently used

### See Also

PetscObjectSetName()

Level:advanced
Location: src/sys/objects/pname.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex13.c.html